StackTrace::Auto(3)

NAME
StackTrace::Auto - a role for generating stack traces during instantiation

VERSION
version 0.102080

SYNOPSIS
First, include StackTrace::Auto in a Moose class...

  package Some::Class;
  use Moose;
  with 'StackTrace::Auto';

...then create an object of that class...

  my $obj = Some::Class->new;

...and now you have a stack trace for the object's creation.

  print $obj->stack_trace->as_string;

ATTRIBUTES

  stack_trace
This attribute will contain an object representing the stack at the point when the error was generated and thrown. It must be an object performing the "as_string" method.

  stack_trace_class
This attribute may be provided to use an alternate class for stack traces. The default is Devel::StackTrace.

In general, you will not need to think about this attribute.

  stack_trace_args
This attribute is an arrayref of arguments to pass when building the stack trace. In general, you will not need to think about it.

AUTHORS

•   Ricardo SIGNES <rjbs@cpan.org>

•   Florian Ragwitz <rafl@debian.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.